Name:           panelfm
Version:        1.2
Release:        2%{?dist}
Summary:        Quick File Manager Applet

Group:          Applications/File
License:        GPL
URL:            http://panelfm.sourceforge.net/
Source0:        http://umn.dl.sourceforge.net/sourceforge/%{name}/%{name}-v%{version}.tar.gz
Patch0:		panelfm-1.2-remove-header.patch

Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libgnomeui-devel
BuildRequires:  gnome-panel-devel

%description
PanelFM is a GNOME applet that provides quick access to the file system. It
uses popup menus to display files and directories. Multiple root points can be
defined for the main menu by creating a .panelfmrc containing a list of root
points, one on each line. Each root point must be an absolute path name.

%prep
%setup -q -n PanelFM
%patch0 -p0 -b .header

%{__sed} -i.local \
   -e 's|%{_prefix}/local|%{_prefix}|g' \
   panelfm.server
%{__sed} -i.flags \
   -e '/^LDFLAGS/s|^\(.*\)$|\1\n\nCFLAGS += $(OPTFLAGS)|' \
   makefile

# Oh!!
%{__make} clean

%build
%{__make} %{?_smp_mflags} OPTFLAGS="$RPM_OPT_FLAGS"

%install
%{__rm} -rf %{buildroot}

for dir in \
   %{_bindir} %{_datadir}/pixmaps %{_libdir}/bonobo/servers \
   ; do
   %{__mkdir_p} %{buildroot}/$dir
done

%{__install} -c -m 755 panelfm %{buildroot}%{_bindir}
%{__install} -c -p -m 644 panelfm.xpm \
   %{buildroot}%{_datadir}/pixmaps
%{__install} -c -p -m 644  panelfm.server \
   %{buildroot}%{_libdir}/bonobo/servers

%{__chmod} 0644 README

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README

%{_bindir}/*

%{_datadir}/pixmaps/*.xpm
%{_libdir}/bonobo/servers/*.server

%changelog
* Wed Nov 22 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.2-2
- Remove unnecessary header file use.

* Wed Nov 22 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.2-1
- 1.2

* Fri Nov 10 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.1-2
- Change BuildRoot

* Fri Nov 10 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.1-1
- Rewrite.

* Tue Oct 31 2006 Sawa <sssawwwa@wolfenstein.jp> - 1.1
- version 1.1
